<?php
if ( function_exists('register_sidebar') ) 
{
register_sidebar(array('name'=>'Sidebar Top',
		'before_widget' => '<li>', 
		'after_widget' => '</li>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',     
		));
}
// For backward Compatiblity to older versions of WordPress
add_filter( 'comments_template', 'legacy_comments' );
function legacy_comments( $file ) {
	if ( !function_exists('wp_list_comments') )
		$file = TEMPLATEPATH . '/old-comments.php';
	return $file;
}
 
// Custom Header Image Support

define('HEADER_TEXTCOLOR', 'eee');
define('HEADER_IMAGE', '%s/images/header.jpg'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 940);
define('HEADER_IMAGE_HEIGHT', 170);

function subdued_admin_header_style() {
?>
<style type="text/css">
#headimg {
	background:url(<?php header_image() ?>) no-repeat left;  
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
  text-align:right;
  font-weight:normal;
  font-style: italic;
  font-family:"Trebuchet MS", Verdana, Arial, Serif;
  }
  #headimg h1
  {
  margin: 0;
  padding:10px;
  font-size: 36px;
  }
  #headimg h1 a
  {
  border:0;
  text-decoration:none;
  }
  #headimg #desc
  {
  margin: 0;
  padding: 0 15px;
  }
  #headimg * {
  color:#<?php header_textcolor();?>;
}
</style>
<?php
}
function subdued_header_style() {
?>
<style type="text/css">
#header
{
	background-image:url(<?php header_image(); ?>);
	background-repeat:no-repeat;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;	
	margin:0 auto;	
}
#header *
{
	color:#<?php header_textcolor();?>;
}
</style>
<?php
}
if ( function_exists('add_theme_support') )
{
    $args = array(
        'wp-head-callback'    => 'subdued_header_style',
        'admin-head-callback' => 'subdued_admin_header_style',
    );
    add_theme_support( 'custom-header', $args );
}
?>