<?php get_header(); ?>
<h2 class="pagetitle">
  Search Results for "<?php the_search_query(); ?>"
</h2>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <div class="post" id="post-<?php the_ID(); ?>">
	   <h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2> 
		<p class="posted">Posted by <?php the_author_posts_link() ?> on <?php the_time('M d Y')?> <?php edit_post_link(__('Edit This')); ?></p>	                 
		<div class="entry">
		    <?php the_excerpt(); ?>
			<?php wp_link_pages(); ?>
			<p class="post-tags"><?php if (function_exists('the_tags')) the_tags('Tags: ', ', ', '<br/>'); ?></p>
        </div>		
		<p class="post-comments"><?php comments_popup_link(__('No responses yet'), __('One response so far'), __('% responses so far')); ?></p>				     
	</div>
		<?php endwhile; else: ?>
          <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
      <?php endif; ?>
      <p align="center"><?php posts_nav_link(' - ','&#171; Newer Entries','Older Entries &#187;') ?></p>	  
</div><!-- end #content -->	
<?php get_sidebar();?>
<?php get_footer();?>